/*
 *  obstring.h
 *
 *  Copyright 2006 Cycling '74. All rights reserved.
 *
 */

#ifndef __OBSTRING_H__
#define __OBSTRING_H__

#ifdef __cplusplus
	extern "C" {
#endif // __cplusplus

#if C74_PRAGMA_STRUCT_PACKPUSH
    #pragma pack(push, 2)
#elif C74_PRAGMA_STRUCT_PACK
    #pragma pack(2)
#endif

// these structs are provided for debugging convenience, but 
// are subject to change, and should not be modified directly

typedef struct _string
{
	t_object		s_obj;
	char			*s_text; 
} t_string;  

#if C74_PRAGMA_STRUCT_PACKPUSH
    #pragma pack(pop)
#elif C74_PRAGMA_STRUCT_PACK
    #pragma pack()
#endif

t_string* string_new(const char *psz); 
const char* string_getptr(t_string *x); 

#ifdef __cplusplus
}
#endif // __cplusplus

#endif //__OBSTRING_H__
