
#ifndef __SYMOBJECT_H__
#define __SYMOBJECT_H__

#if C74_PRAGMA_STRUCT_PACKPUSH
    #pragma pack(push, 2)
#elif C74_PRAGMA_STRUCT_PACK
    #pragma pack(2)
#endif

// useful for wrapping symbols for use as linklist or hashtab elements
typedef struct _symobject{
	t_object	obj;
	t_symbol	*sym;
	long		flags;
	void		*thing;
} t_symobject;

#if C74_PRAGMA_STRUCT_PACKPUSH
    #pragma pack(pop)
#elif C74_PRAGMA_STRUCT_PACK
    #pragma pack()
#endif


#ifdef __cplusplus
	extern "C" {
#endif // __cplusplus

void symobject_initclass(void);
void *symobject_new(t_symbol *sym);
long symobject_linklist_match(void *a, void *b);	// Use this method for handy linklist_findfirst() calls


#ifdef __cplusplus
}
#endif // __cplusplus

#endif // __SYMOBJECT_H__
