
#ifndef _EXT_SETCLOCK_H_
#define _EXT_SETCLOCK_H_

typedef struct setclock {
	t_object s_ob;
	void *s_clock;
	void *s_list;		/* list of clocks (for passive/multiply modes) */
	t_symbol *s_name;
	long s_mode;
	double s_time;
	double s_last;
	double s_multiplier;
	double s_interval;		/* "check" interval (for multiply mode) */
	double s_incrPerTick;		/* variable for multiply mode */
	double s_remainder;		/* variable for multiply mode */
	double s_sum;				/* variable for multiply mode */
	double s_advance;			/* amount to advance the clock (interpolate mode) */
	double s_reception;		/* when last "beat" was received */
	struct setclock *s_master;
	struct setclock *s_next;
	struct setclock *s_shadow;	/* when there are multiple setclocks with the
									same name, this is the real one */
	t_symbol *s_modesym;
} t_setclock;


#endif _EXT_SETCLOCK_H_

